GimpColorConfig: GIMP Config Library Reference Manual

## GimpColorConfig GimpColorConfig — Color management settings. |

## Functions

GimpColorManagementMode | gimp_color_config_get_mode ()
GimpColorRenderingIntent | gimp_color_config_get_display_intent ()
gboolean | gimp_color_config_get_display_bpc ()
gboolean | gimp_color_config_get_display_optimize ()
gboolean | gimp_color_config_get_display_profile_from_gdk ()
GimpColorRenderingIntent | gimp_color_config_get_simulation_intent ()
gboolean | gimp_color_config_get_simulation_bpc ()
gboolean | gimp_color_config_get_simulation_optimize ()
gboolean | gimp_color_config_get_simulation_gamut_check ()
GimpColorProfile * | gimp_color_config_get_rgb_color_profile ()
GimpColorProfile * | gimp_color_config_get_gray_color_profile ()
GimpColorProfile * | gimp_color_config_get_cmyk_color_profile ()
GimpColorProfile * | gimp_color_config_get_display_color_profile ()
GimpColorProfile * | gimp_color_config_get_simulation_color_profile ()

## Properties

GimpConfigPath | cmyk-profile | Read / Write / Construct
char * | display-module | Read / Write / Construct
gboolean | display-optimize | Read / Write / Construct
GimpConfigPath | display-profile | Read / Write / Construct
gboolean | display-profile-from-gdk | Read / Write / Construct
GimpColorRenderingIntent | display-rendering-intent | Read / Write / Construct
gboolean | display-use-black-point-compensation | Read / Write / Construct
GimpConfigPath | gray-profile | Read / Write / Construct
GimpColorManagementMode | mode | Read / Write / Construct
GimpRGB * | out-of-gamut-color | Read / Write / Construct
GimpConfigPath | printer-profile | Read / Write / Construct
GimpConfigPath | rgb-profile | Read / Write / Construct
gboolean | show-hsv | Read / Write / Construct
gboolean | show-rgb-u8 | Read / Write / Construct
gboolean | simulation-gamut-check | Read / Write / Construct
gboolean | simulation-optimize | Read / Write / Construct
GimpColorRenderingIntent | simulation-rendering-intent | Read / Write / Construct
gboolean | simulation-use-black-point-compensation | Read / Write / Construct

## Types and Values

enum | GimpColorManagementMode
enum | GimpColorRenderingIntent

## Object Hierarchy

        GObject
        ╰── GimpColorConfig

## Description

Color management settings.

## Functions

### gimp_color_config_get_mode ()

    GimpColorManagementMode
    gimp_color_config_get_mode (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_display_intent ()

    GimpColorRenderingIntent
    gimp_color_config_get_display_intent (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_display_bpc ()

    gboolean
    gimp_color_config_get_display_bpc (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_display_optimize ()

    gboolean
    gimp_color_config_get_display_optimize
                                   (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_display_profile_from_gdk ()

    gboolean
    gimp_color_config_get_display_profile_from_gdk
                                   (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_simulation_intent ()

    GimpColorRenderingIntent
    gimp_color_config_get_simulation_intent
                                   (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_simulation_bpc ()

    gboolean
    gimp_color_config_get_simulation_bpc (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_simulation_optimize ()

    gboolean
    gimp_color_config_get_simulation_optimize
                                   (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_simulation_gamut_check ()

    gboolean
    gimp_color_config_get_simulation_gamut_check
                                   (GimpColorConfig *config);

#### Parameters

config | a GimpColorConfig |

Since: 2.10

### gimp_color_config_get_rgb_color_profile ()

    GimpColorProfile *
    gimp_color_config_get_rgb_color_profile
                                   (GimpColorConfig *config,
                                    GError **error);

#### Parameters

config | a GimpColorConfig |
error | return location for a GError |

Since: 2.10

### gimp_color_config_get_gray_color_profile ()

    GimpColorProfile *
    gimp_color_config_get_gray_color_profile
                                   (GimpColorConfig *config,
                                    GError **error);

#### Parameters

config | a GimpColorConfig |
error | return location for a GError |

Since: 2.10

### gimp_color_config_get_cmyk_color_profile ()

    GimpColorProfile *
    gimp_color_config_get_cmyk_color_profile
                                   (GimpColorConfig *config,
                                    GError **error);

#### Parameters

config | a GimpColorConfig |
error | return location for a GError |

Since: 2.10

### gimp_color_config_get_display_color_profile ()

    GimpColorProfile *
    gimp_color_config_get_display_color_profile
                                   (GimpColorConfig *config,
                                    GError **error);

#### Parameters

config | a GimpColorConfig |
error | return location for a GError |

Since: 2.10

### gimp_color_config_get_simulation_color_profile ()

    GimpColorProfile *
    gimp_color_config_get_simulation_color_profile
                                   (GimpColorConfig *config,
                                    GError **error);

#### Parameters

config | a GimpColorConfig |
error | return location for a GError |

Since: 2.10

## Types and Values

### enum GimpColorManagementMode

Modes of color management.

#### Members

GIMP_COLOR_MANAGEMENT_OFF | Color management is off |
GIMP_COLOR_MANAGEMENT_DISPLAY | Color managed display |
GIMP_COLOR_MANAGEMENT_SOFTPROOF | Soft-proofing |

### enum GimpColorRenderingIntent

Intents for color management.

#### Members

GIMP_COLOR_RENDERING_INTENT_PERCEPTUAL | Preceptual |
GIMP_COLOR_RENDERING_INTENT_RELATIVE_COLORIMETRIC | Relative colorimetric |
GIMP_COLOR_RENDERING_INTENT_SATURATION | Saturation |
GIMP_COLOR_RENDERING_INTENT_ABSOLUTE_COLORIMETRIC | Absolute colorimetric |

## Property Details

### The `“cmyk-profile”` property

      “cmyk-profile”             GimpConfigPath

The CMYK color profile used to convert between RGB and CMYK.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: NULL

### The `“display-module”` property

      “display-module”           char *

This property is deprecated and its value ignored.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: "CdisplayLcms"

### The `“display-optimize”` property

      “display-optimize”         gboolean

When disabled, image display might be of better quality at the cost of speed.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: TRUE

### The `“display-profile”` property

      “display-profile”          GimpConfigPath

The color profile of your (primary) monitor.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: NULL

### The `“display-profile-from-gdk”` property

      “display-profile-from-gdk” gboolean

When enabled, GIMP will try to use the display color profile from the windowing system. The configured monitor profile is then only used as a fallback.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: FALSE

### The `“display-rendering-intent”` property

      “display-rendering-intent” GimpColorRenderingIntent

How colors are converted from your image's color space to your display device. Relative colorimetric is usually the best choice. Unless you use a LUT monitor profile (most monitor profiles are matrix), choosing perceptual intent really gives you relative colorimetric.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: GIMP_COLOR_RENDERING_INTENT_RELATIVE_COLORIMETRIC

### The `“display-use-black-point-compensation”` property

      “display-use-black-point-compensation” gboolean

Do use black point compensation (unless you know you have a reason not to).

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: TRUE

### The `“gray-profile”` property

      “gray-profile”             GimpConfigPath

The preferred grayscale working space color profile. It will be offered next to the built-in grayscale profile when a color profile can be chosen.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: NULL

### The `“mode”` property

      “mode”                     GimpColorManagementMode

How images are displayed on screen.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: GIMP_COLOR_MANAGEMENT_DISPLAY

### The `“out-of-gamut-color”` property

      “out-of-gamut-color”       GimpRGB *

The color to use for marking colors which are out of gamut.

Owner: GimpColorConfig

Flags: Read / Write / Construct

### The `“printer-profile”` property

      “printer-profile”          GimpConfigPath

The color profile to use for soft-proofing from your image's color space to some other color space, including soft-proofing to a printer or other output device profile. .

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: NULL

### The `“rgb-profile”` property

      “rgb-profile”              GimpConfigPath

The preferred RGB working space color profile. It will be offered next to the built-in RGB profile when a color profile can be chosen.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: NULL

### The `“show-hsv”` property

      “show-hsv”                 gboolean

Show HSV instead of LCH.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: FALSE

### The `“show-rgb-u8”` property

      “show-rgb-u8”              gboolean

Show RGB 0..255 scales.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: FALSE

### The `“simulation-gamut-check”` property

      “simulation-gamut-check”   gboolean

When enabled, the soft-proofing will mark colors which can not be represented in the target color space.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: FALSE

### The `“simulation-optimize”` property

      “simulation-optimize”      gboolean

When disabled, soft-proofing might be of better quality at the cost of speed.

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: TRUE

### The `“simulation-rendering-intent”` property

      “simulation-rendering-intent” GimpColorRenderingIntent

How colors are converted from your image's color space to the output simulation device (usually your monitor). Try them all and choose what looks the best. .

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: GIMP_COLOR_RENDERING_INTENT_PERCEPTUAL

### The `“simulation-use-black-point-compensation”` property

      “simulation-use-black-point-compensation” gboolean

Try with and without black point compensation and choose what looks best. .

Owner: GimpColorConfig

Flags: Read / Write / Construct

Default value: FALSE